explain_vprintf_or_die(3)

NAME
explain_vprintf_or_die - formatted output conversion and report errors
    "formatted output conversion and report errors"

SYNOPSIS
#include <libexplain/vprintf.h>

int explain_vprintf_or_die(const char *format, va_list ap);
int explain_vprintf_on_error(const char *format, va_list ap);

DESCRIPTION
The explain_vprintf_or_die function is used to call the vprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vprintf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_vprintf_on_error function is used to call the vprintf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_vprintf(3) function, but still returns to the caller.

format
    The format, exactly as to be passed to the vprintf(3) system call.

ap  The ap, exactly as to be passed to the vprintf(3) system call.

RETURN VALUE
The explain_vprintf_or_die function only returns on success, see vprintf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_vprintf_on_error function always returns the value return by the wrapped vprintf(3) system call.

EXAMPLE
The explain_vprintf_or_die function is intended to be used in a fashion similar to the following example:
    int result = explain_vprintf_or_die(format, ap);

SEE ALSO

vprintf(3)
    formatted output conversion

explain_vprintf(3)
    explain vprintf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2010 Peter Miller